Bug 1702690 - implement built-in log rotation
Summary: implement built-in log rotation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: dnf
Version: 8.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: 8.0
Assignee: Pavla Kratochvilova
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On: 1681084 1695720
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-24 13:27 UTC by Daniel Mach
Modified: 2020-11-14 10:37 UTC (History)
6 users (show)

Fixed In Version: dnf-4.2.7-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 22:21:49 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3583 None None None 2019-11-05 22:22:01 UTC

Description Daniel Mach 2019-04-24 13:27:23 UTC
This bug is related to Bug #1695720.
The original bug addresses excessive logging (due to high internal log level and logging unnecessary debug data by default).

This request is about providing a built-in log rotation in DNF.
The reasons are following:
* logrotate is not always installed on the system (there's no hard dependency on it)
* /etc/logrotate.d/dnf is configured to run weekly; it is possible to change the rotation frequency to 'hourly', but it still doesn't solve excessive logging when the log grows quickly in minutes
* logrotate handles rotating only system logs under /var/log/ and doesn't rotate user logs in /var/tmp/dnf-<login>-*/

The dev team still works on scoping the change and will provide more details once the scope is known.

Comment 1 Pavla Kratochvilova 2019-05-10 10:21:25 UTC
The following PRs add built-in log rotation:
https://github.com/rpm-software-management/dnf/pull/1394
https://github.com/rpm-software-management/libdnf/pull/727

Comment 7 Pavla Kratochvilova 2019-06-14 13:56:26 UTC
PR with tests: https://github.com/rpm-software-management/ci-dnf-stack/pull/562

Comment 19 errata-xmlrpc 2019-11-05 22:21:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3583


Note You need to log in before you can comment on or make changes to this bug.